Skip to main content
Monitoring & Collection/Monitoring Misc

GetIsolationConfig

Retrieve the current tenant isolation configuration

GET/api/v1/monitoring/isolation/config

Operation ID

GetIsolationConfig

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • enabled
    Boolean

    Whether tenant isolation enforcement is active

    Example: true

  • tenantLabelName
    String

    Label name used to identify tenant in metrics (e.g. tenant_id)

    Example: tenant_id

  • exemptTenants
    List

    Exempt tenants

    Example: item1,item2

  • auditMode
    Boolean

    Whether to only log violations without blocking queries

    Example: false

  • blockOnViolation
    Boolean

    Whether to block queries that violate isolation policy

    Example: true